## libkmahjongg 25.04.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "04")
set(RELEASE_SERVICE_VERSION_MICRO "0")

# generate patch level from release service version
set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
if (_micro LESS "10")
    string(PREPEND _micro "0") # pad with 0
endif()
set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")

set(LIBKMAHJONGG_VERSION_LIB "6.0")

project(libkmahjongg VERSION "${LIBKMAHJONGG_VERSION_LIB}.${RELEASE_SERVICE_BASED_PATCHLEVEL}")
if (APPLE)
    # until now we didn't build on macos in 6.x
    # => change version for macos will not create problem
    # if we want to add new feature we will increase LIBKMAHJONGG_VERSION_LIB

    # Code stoled to kdevelop
    # The math expression below automatically increments libkmahjongg minor version in each KDE Gear release.
    # The multiplier 3 is the number of releases that share ${RELEASE_SERVICE_VERSION_MAJOR}.
    # The fraction assigns consecutive minor versions to the 3 releases - 04, 08 and 12. The rounding up groups
    # pre-release versions with the corresponding final release versions: 03 with 04, 07 with 08 and 11 with 12.
    # The final subtrahend at the end of the expression ensures version continuity: libkmahjongg 6.0 in KDE Gear 24.08.
    math(EXPR LIBKMAHJONGG_OWN_MINOR_VERSION "${RELEASE_SERVICE_VERSION_MAJOR} * 3                  \
                                          + (${RELEASE_SERVICE_VERSION_MINOR} + 4 - 3) / 4      \
                                          - 74")
    ###################################################################################
    # Kludge for bug #448152: ld: malformed 64-bit a.b.c.d.e version number: 5.7.211201
    # Apple's linker uses the project version (not the SOVERSION) to calculate an
    # unsigned int in such a way that places restrictions on the magnitude of each tier
    # of the version string.
    # See here: https://www.sicpers.info/2013/03/how-to-version-a-mach-o-library/
    ###################################################################################
    project(libkmahjongg VERSION "${LIBKMAHJONGG_VERSION_LIB}.${LIBKMAHJONGG_OWN_MINOR_VERSION}${_micro}")
endif()



set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Svg
)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    WidgetsAddons
    I18n
)

option(BUILD_SVG_CHECKS "Build SVG rendering checks." OFF)
add_feature_info(BUILD_SVG_CHECKS BUILD_SVG_CHECKS "Build SVG rendering checks.")

if(BUILD_SVG_CHECKS)
    find_package(ImageMagick COMPONENTS compare)
    set_package_properties(ImageMagick PROPERTIES
        TYPE REQUIRED
        PURPOSE "For checking cleaned SVG file renderings"
    )
endif()

include(InternalMacros)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.12.0
)

add_subdirectory(src)
add_subdirectory(tilesets)
add_subdirectory(backgrounds)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkmahjongg (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:02:20 +0200

=== debian/control ===
Source: libkmahjongg
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/games/libkmahjongg
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkmahjongg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkmahjongg.git

Package: kdegames-mahjongg-data-kf6
Section: games
Architecture: all
Depends: ${misc:Depends},
Breaks: kdegames-mahjongg-data-kf5 (<< 4:24.08.2),
Replaces: kdegames-mahjongg-data-kf5 (<< 4:24.08.2),
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg,
 KShisen and Kajongg.
 .
 This package is part of the KDE games module.

Package: libkmahjongg-dev
Section: libdevel
Architecture: any
Depends: libkf6configwidgets-dev (>= 6.0.0~),
         libkmahjongg6 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libkf5kmahjongglib-dev (<< 4:24.08.2),
Replaces: libkf5kmahjongglib-dev (<< 4:24.08.2),
Description: development files for the KDE kmahjongg library
 This package contains development files for building software that uses
 the KDE kmahjongg library.
 .
 This package is part of the KDE games module.

Package: libkmahjongg6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5kmahjongglib5 (<< 4:24.08.2),
Replaces: libkf5kmahjongglib5 (<< 4:24.08.2),
Description: shared library for kmahjongg and kshisen
 This package contains a shared library used by the KDE games kmahjongg and
 kshisen.
 .
 This package is part of the KDE games module.

## libkmahjongg 25.04.1

=== debian/changelog ===
libkmahjongg (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:17:16 +0100

libkmahjongg (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:02:19 +0100

## libkmahjongg 25.04.3

=== debian/changelog ===
libkmahjongg (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:55:07 +0100

libkmahjongg (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:00:08 +0100

## libkmahjongg 25.07.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
@@ -88,7 +88,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.12.0
+    KF 6.15.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
libkmahjongg (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:24:57 +0100

## libkmahjongg 25.07.90

=== debian/changelog ===
libkmahjongg (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:59:54 +0100

## libkmahjongg 25.08.0

=== debian/changelog ===
libkmahjongg (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:33:58 +0100

## libkmahjongg 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== backgrounds/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021, 2023 Friedrich W. H. Kossebau <kossebau@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

function(list_with_background_rendering_check id old_file new_file)
    # symbolic target for cheking this file, always outdated
    set(check_rendering_output "check_rendering_${old_file}")
    set_property(SOURCE ${check_rendering_output} PROPERTY SYMBOLIC 1)

    add_custom_command(
        OUTPUT ${check_rendering_output}
        COMMAND ${CMAKE_COMMAND}
        ARGS
            "-DID=${id}"
            "-DWORKING_DIR=${CMAKE_CURRENT_BINARY_DIR}"
            "-DRENDERELEMENT=$<TARGET_FILE:renderelement>"
            "-DCOMPARE=${ImageMagick_compare_EXECUTABLE}"
            "-DOLD_FILE=${CMAKE_CURRENT_SOURCE_DIR}/${old_file}"
            "-DNEW_FILE=${new_file}"
            -P ${CMAKE_CURRENT_SOURCE_DIR}/CompareBackgroundSVGs.cmake
        COMMENT "Checking SVG of ${id}"
    )

    # add to general target
    set(target_check_rendering_output "check_rendering_background_${id}")
    add_custom_target(${target_check_rendering_output} DEPENDS ${check_rendering_output})
    add_dependencies(check_rendering ${target_check_rendering_output})
endfunction()

function(install_svg_background id)
    cmake_parse_arguments(ARGS "NO_CLEANING" "" "" ${ARGN})

    set(generate_args)
    if (ARGS_NO_CLEANING)
        list(APPEND generate_args NO_CLEANING)
    endif()

    set(svgz "${CMAKE_CURRENT_BINARY_DIR}/${id}.svgz")
    generate_svgz(${id}.svg ${svgz} "background-" ${generate_args})
    if(BUILD_SVG_CHECKS)
        list_with_background_rendering_check(${id} ${id}.svg ${svgz})
    endif()
    install(
        FILES
            ${id}.desktop
            ${svgz}
        DESTINATION  ${KDE_INSTALL_DATADIR}/kmahjongglib/backgrounds
    )
endfunction()

# svgcleaner seems to remove something needed, not yet investigated
install_svg_background(default NO_CLEANING)

install_svg_background(chinese_landscape)

install_svg_background(egyptian)

install_svg_background(summerfield)

install_svg_background(wood_light)

##plain color
install(FILES color_plain.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kmahjongglib/backgrounds)

=== debian/changelog ===
libkmahjongg (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:58:43 +0100

=== debian/control ===
Source: libkmahjongg
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkmahjongg

Package: kdegames-mahjongg-data-kf6
Section: games
Architecture: all
Depends: ${misc:Depends},
Breaks: kdegames-mahjongg-data-kf5 (<< 4:24.08.2)
Replaces: kdegames-mahjongg-data-kf5 (<< 4:24.08.2)
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg,
 KShisen and Kajongg.
 .
 This package is part of the KDE games module.

Package: libkmahjongg-dev
Section: libdevel
Architecture: any
Depends: libkf6configwidgets-dev (>= 6.0.0~),
         libkmahjongg6 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libkf5kmahjongglib-dev (<< 4:24.08.2)
Replaces: libkf5kmahjongglib-dev (<< 4:24.08.2)
Description: development files for the KDE kmahjongg library
 This package contains development files for building software that uses
 the KDE kmahjongg library.
 .
 This package is part of the KDE games module.

Package: libkmahjongg6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5kmahjongglib5 (<< 4:24.08.2)
Replaces: libkf5kmahjongglib5 (<< 4:24.08.2)
Description: shared library for kmahjongg and kshisen
 This package contains a shared library used by the KDE games kmahjongg and
 kshisen.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6,pkgkde_symbolshelper

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/libkmahjongg-([\d.]+)\.tar\.xz

## libkmahjongg 25.08.1+p24.04+vstable+git20250912.0024

=== debian/changelog ===
libkmahjongg (4:25.08.1+p24.04+vstable+git20250912.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 00:24:38 +0000

libkmahjongg (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:15:50 +0000

libkmahjongg (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:37:13 +0000

libkmahjongg (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:56:56 +0000

libkmahjongg (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:05:17 +0000

libkmahjongg (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:47:36 +0000

libkmahjongg (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:02:49 +0000

libkmahjongg (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:31:28 +0000

libkmahjongg (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:01:36 +0000

libkmahjongg (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:53:10 +0000

libkmahjongg (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:47:49 +0000

libkmahjongg (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:04:06 +0000

libkmahjongg (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:36:01 +0000

libkmahjongg (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:07:35 +0000

libkmahjongg (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:00:40 +0000

libkmahjongg (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:40:42 +0000

libkmahjongg (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:02:39 +0000

libkmahjongg (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:46:01 +0000

libkmahjongg (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:36:02 +0000

libkmahjongg (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:15:25 +0000

libkmahjongg (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:35:56 +0000

libkmahjongg (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:53:00 +0000

libkmahjongg (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:20:10 +0000

libkf5kmahjongg (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:23:44 +0000

libkf5kmahjongg (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:59:20 +0000

libkf5kmahjongg (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:51:09 +0000

libkf5kmahjongg (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:29:12 +0000

libkf5kmahjongg (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:04:43 +0000

libkf5kmahjongg (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:10:01 +0000

libkf5kmahjongg (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:32:55 +0000

libkf5kmahjongg (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:49:08 +0000

libkf5kmahjongg (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:31:25 +0000

libkf5kmahjongg (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:19:09 +0000

libkf5kmahjongg (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:39:51 +0000

libkf5kmahjongg (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:40:08 +0000

libkf5kmahjongg (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:49:20 +0000

libkf5kmahjongg (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:08:28 +0000

libkf5kmahjongg (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:07:01 +0000

libkf5kmahjongg (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:16:07 +0000

libkf5kmahjongg (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 08:40:05 +0000

libkf5kmahjongg (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:00 +0000

libkf5kmahjongg (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:23:20 +0000

libkf5kmahjongg (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:35 +0000

libkf5kmahjongg (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:24:57 +0000

libkf5kmahjongg (4:21.04.1-0neon) focal; urgency=medium

  * New release



## libkmahjongg 25.08.1+p24.04+vstable+git20251001.1108

=== debian/changelog ===
libkmahjongg (4:25.08.1+p24.04+vstable+git20251001.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:08:06 +0000

## libkmahjongg 25.08.2

=== debian/changelog ===
libkmahjongg (4:25.08.2-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 03:07:38 +0000

libkmahjongg (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:52:04 +0000

## libkmahjongg 25.08.3

=== debian/changelog ===
libkmahjongg (4:25.08.3-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 18:02:47 +0000

libkmahjongg (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:09 +1000

=== debian/control ===
Source: libkmahjongg
Section: libs
Priority: optional
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: 7zip,
               cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kwidgetsaddons-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libkmahjongg.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkmahjongg
Maintainer: Neon CI <neon@kde.org>

Package: kdegames-mahjongg-data-kf6
Section: games
Architecture: all
Depends: ${misc:Depends}
Breaks: kdegames-mahjongg-data-kf5 (<< 4:24.02.0)
Replaces: kdegames-mahjongg-data-kf5 (<< 4:24.02.0)
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg,
 KShisen and Kajongg.
 .
 This package is part of the KDE games module.

Package: libkmahjongg6-dev
Section: libdevel
Architecture: any
Depends: kf6-kcolorscheme-dev,
         kf6-kconfigwidgets-dev,
         libkmahjongg6-6 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libkf5kmahjongglib-dev (<< 4:24.02.0)
Replaces: libkf5kmahjongglib-dev (<< 4:24.02.0)
Description: development files for the KDE kmahjongg library
 This package contains development files for building software that uses
 the KDE kmahjongg library.
 .
 This package is part of the KDE games module.

Package: libkmahjongg6-6
Architecture: any
Depends: kdegames-mahjongg-data-kf6, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5kmahjongglib5 (<< 4:24.02.0)
Replaces: libkf5kmahjongglib5 (<< 4:24.02.0)
Description: shared library for kmahjongg and kshisen
 This package contains a shared library used by the KDE games kmahjongg and
 kshisen.
 .
 This package is part of the KDE games module.

Package: libkf5kmahjongglib5
Architecture: all
Priority: extra
Section: oldlibs
Depends: libkmahjongg6-6, ${misc:Depends}
Description: dummy transitional package
 This package can be removed.

Package: libkf5kmahjongglib-dev
Architecture: all
Priority: extra
Section: oldlibs
Depends: libkmahjongg6-dev, ${misc:Depends}
Description: dummy transitional package
 This package can be removed.

## libkmahjongg 25.08.3+p24.04+vstable+git20251204.0850

=== debian/changelog ===
libkmahjongg (4:25.08.3+p24.04+vstable+git20251204.0850-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 08:50:42 +0000

## libkmahjongg 25.08.3+p24.04+vunstable+git20251113.0940

=== debian/changelog ===
libkmahjongg (4:25.08.3+p24.04+vunstable+git20251113.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 09:40:56 +0000

## libkmahjongg 25.08.3+p24.04+vunstable+git20251123.2318

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
@@ -87,8 +87,8 @@
 include(InternalMacros)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.15.0
+    QT 6.10.0
+    KF 6.19.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
libkmahjongg (4:25.08.3+p24.04+vunstable+git20251123.2318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 23:18:05 +0000

## libkmahjongg 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
@@ -87,7 +87,7 @@
 include(InternalMacros)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.9.0
     KF 6.19.0
 )

=== debian/changelog ===
libkmahjongg (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:57:03 +0000

libkmahjongg (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:19:40 +0000

libkmahjongg (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:56:23 +0100

## libkmahjongg 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
libkmahjongg (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:15:50 +0000

## libkmahjongg 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
libkmahjongg (4:25.12.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 14:55:53 +0000

libkmahjongg (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:29 +1000

## libkmahjongg 25.12.0+p24.04+vstable+git20260105.1127

=== debian/changelog ===
libkmahjongg (4:25.12.0+p24.04+vstable+git20260105.1127-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:27:21 +0000

## libkmahjongg 25.12.0+p24.04+vunstable+git20251208.1922

=== debian/changelog ===
libkmahjongg (4:25.12.0+p24.04+vunstable+git20251208.1922-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:22:38 +0000

## libkmahjongg 25.12.0+p24.04+vunstable+git20260101.2143

=== debian/changelog ===
libkmahjongg (4:25.12.0+p24.04+vunstable+git20260101.2143-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 21:43:31 +0000

## libkmahjongg 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
libkmahjongg (4:25.12.1-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:09:18 +0000

libkmahjongg (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:28:43 +1000

## libkmahjongg 25.12.1+p24.04+vstable+git20260106.1948

=== debian/changelog ===
libkmahjongg (4:25.12.1+p24.04+vstable+git20260106.1948-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:48:57 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/libkmahjongg-([\d.]+).tar.xz

## libkmahjongg 25.12.1+p24.04+vstable+git20260128.1320

=== debian/changelog ===
libkmahjongg (4:25.12.1+p24.04+vstable+git20260128.1320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 13:20:30 +0000

## libkmahjongg 25.12.1+p24.04+vunstable+git20260106.1951

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
@@ -87,8 +87,8 @@
 include(InternalMacros)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.19.0
+    QT 6.10.0
+    KF 6.21.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
libkmahjongg (4:25.12.1+p24.04+vunstable+git20260106.1951-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:51:20 +0000

## libkmahjongg 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
@@ -87,8 +87,8 @@
 include(InternalMacros)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.21.0
+    QT 6.9.0
+    KF 6.19.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
libkmahjongg (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:31:07 +0000

libkmahjongg (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:16:34 +0000

libkmahjongg (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:35:39 +0000

## libkmahjongg 25.12.2+p24.04+vstable+git20260207.0037

=== debian/changelog ===
libkmahjongg (4:25.12.2+p24.04+vstable+git20260207.0037-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 00:37:14 +0000

libkmahjongg (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:31:28 +0000
